Bug 1124814 - Failed to create Jenkins with error about overriding gear environment variables JENKINS_PASSWORD, JENKINS_USERNAME
Summary: Failed to create Jenkins with error about overriding gear environment variabl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Ben Parees
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 11:49 UTC by Wenjing Zheng
Modified: 2015-05-15 00:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:50:05 UTC


Attachments (Terms of Use)

Description Wenjing Zheng 2014-07-30 11:49:41 UTC
Description:
Below errors appear when create Jenkins on INT(devenv_5024)
bash-3.2$ rhc app create jks jenkins-1
Application Options
-------------------
Domain:     w
Cartridges: jenkins-1
Gear Size:  default
Scaling:    no
Creating application 'jks' ... 
Unexpected error: Cartridge attempted to override the following gear environment
variables: JENKINS_PASSWORD, JENKINS_USERNAME

Version-Release number of selected component (if applicable):
INT(devenv_5024)
rhc-1.28.4

How reproducible:
limited to some accounts, like lxia@redhat.com, wzheng@redhat.com and wzheng+1@redhat.com

steps to Reproduce:
1. rhc app create jks jenkins-1

Actual results:
Failed to create like description.

Expected results:
It should be succeed like latest devenv_5028.

Additional info:
First meet this during creation, then the above error appears every time:
bash-3.2$ rhc app create jks jenkins-1 --no-git
Application Options
-------------------
Domain:     wz
Cartridges: jenkins-1
Gear Size:  default
Scaling:    no
Creating application 'jks' ... 
Starting jenkins cartridge
Waiting ...
Waiting ...
Waiting ...
Waiting ...
Waiting ...
Waiting ...
Waiting ...
Timed out waiting for Jenkins to fully start
Failed to execute: 'control start' for
/var/lib/openshift/53d8b58603ef645f78000aa2/jenkins

Comment 1 Ben Parees 2014-07-30 13:41:19 UTC
if you delete and recreate the domain does the issue persist?

Comment 2 Ben Parees 2014-07-30 17:58:02 UTC
Cannot recreate so suspect this is an environment specific issue, lowering severity.

Comment 3 Wenjing Zheng 2014-07-31 02:08:37 UTC
Jenkins can be created successfully after in a new domain. So close this bug now.


Note You need to log in before you can comment on or make changes to this bug.